/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.services;

import org.eclipse.jface.action.MenuManager;
import org.fortiss.tooling.kernel.interfaces.ICustomMenuContributor;
import org.fortiss.tooling.kernel.internal.ContextMenuService;

/**
 * The context menu service allows registration for model element specific
 * context menus.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash: CFBDB59E1AB6C28803F6195B321D3BC2
 */
public interface IContextMenuService {

	/** Custom menu section separator id. */
	public static final String CUSTOM_MENU_SEPARATOR_ID = "custom";

	/** Repository menu section separator id. */
	public static final String REPOSITORY_MENU_SEPARATOR_ID = "repository";

	/** Returns the singleton instance of the service. */
	public static final IContextMenuService INSTANCE = new ContextMenuService();

	/** Creates the default context menu provided by the kernel. */
	MenuManager createDefaultContextMenu(ICustomMenuContributor menuContributor);
}
